ARCHIVESDRIVE HB

オイラはホームベーカリー!

Mojave に Python 入れようとして zlib がないぞって怒られた

産業で

  • xcode CLI tools をインストールする
  • sudo installer -pkg /Library/Developer/CommandLineTools/Packages/macOS_SDK_headers_for_macOS_10.14.pkg -target / する
  • brew install readline xz する

どうして…どうして…どうして…

pyenv install 2.7.15 したら怒られた。

ERROR: The Python zlib extension was not compiled. Missing the zlib?

Mojave 以降は CLI インストールするだけではライブラリが用意されなくなったものがあるらしい。 ということで以下のコマンドを利用して追加でインストールする。

sudo installer -pkg /Library/Developer/CommandLineTools/Packages/macOS_SDK_headers_for_macOS_10.14.pkg -target /

github.com

これでよい。

python 3.x に移行しないの?

ブーメランだからヤメロォ!